<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension-point id="extensions" name="%extensions" schema="schema/extensions.exsd"/>
   <extension
         id="twisterExtensions"
         name="Twister Standard Extensions"
         point="net.sf.jame.twister.extensions">
      <effect
            id="twister.effect.spot"
            name="Spot"
            runtimeClass="net.sf.jame.twister.extensions.effect.SpotRuntime"
            configClass="net.sf.jame.twister.extensions.effect.SpotConfig"/>
      <effect
            id="twister.effect.fire"
            name="Fire"
            runtimeClass="net.sf.jame.twister.extensions.effect.FireRuntime"
            configClass="net.sf.jame.twister.extensions.effect.FireConfig"/>
      <effect
            id="twister.effect.water"
            name="Water"
            runtimeClass="net.sf.jame.twister.extensions.effect.WaterRuntime"
            configClass="net.sf.jame.twister.extensions.effect.WaterConfig"/>
      <image
            configClass="net.sf.jame.twister.extensions.frame.layer.image.ColorConfig"
            id="twister.frame.layer.image.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.ColorRuntime"/>
      <image
            configClass="net.sf.jame.twister.extensions.frame.layer.image.BlackConfig"
            id="twister.frame.layer.image.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.BlackRuntime"/>
      <layerFilter
            configClass="net.sf.jame.twister.extensions.frame.layer.filter.ColorConfig"
            id="twister.frame.layer.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.ColorRuntime"/>
      <layerFilter
            configClass="net.sf.jame.twister.extensions.frame.layer.filter.BlackConfig"
            id="twister.frame.layer.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlackRuntime"/>
      <layerFilter
            configClass="net.sf.jame.twister.extensions.frame.layer.filter.BlurConfig"
            id="twister.frame.layer.filter.blur"
            name="Blur"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlurRuntime"/>
      <layerFilter
            configClass="net.sf.jame.twister.extensions.frame.layer.filter.EdgeConfig"
            id="twister.frame.layer.filter.edge"
            name="Edge"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.EdgeRuntime"/>
      <layerFilter
            configClass="net.sf.jame.twister.extensions.frame.layer.filter.SharpenConfig"
            id="twister.frame.layer.filter.sharpen"
            name="Sharpen"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.SharpenRuntime"/>
      <frameFilter
            configClass="net.sf.jame.twister.extensions.frame.filter.ColorConfig"
            id="twister.frame.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.ColorRuntime"/>
      <frameFilter
            configClass="net.sf.jame.twister.extensions.frame.filter.BlackConfig"
            id="twister.frame.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.BlackRuntime"/>
      <frameFilter
            configClass="net.sf.jame.twister.extensions.frame.filter.MotionBlurConfig"
            id="twister.frame.filter.motionBlur"
            name="MotionBlur"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.MotionBlurRuntime"/>
      <extensionConfigXMLImporter
            id="twister.effect.spot"
            name="Spot"
            runtimeClass="net.sf.jame.twister.extensions.effect.SpotConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.effect.fire"
            name="Fire"
            runtimeClass="net.sf.jame.twister.extensions.effect.FireConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.effect.water"
            name="Water"
            runtimeClass="net.sf.jame.twister.extensions.effect.WaterConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.ColorConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.BlackConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.filter.motionBlur"
            name="MotionBlur"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.MotionBlurConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.image.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.ColorConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.image.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.BlackConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.ColorConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlackConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.filter.blur"
            name="Blur"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlurConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.filter.edge"
            name="Edge"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.EdgeConfigXMLImporterRuntime"/>
      <extensionConfigXMLImporter
            id="twister.frame.layer.filter.sharpen"
            name="Sharpen"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.SharpenConfigXMLImporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.effect.spot"
            name="Spot"
            runtimeClass="net.sf.jame.twister.extensions.effect.SpotConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.effect.fire"
            name="Fire"
            runtimeClass="net.sf.jame.twister.extensions.effect.FireConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.effect.water"
            name="Water"
            runtimeClass="net.sf.jame.twister.extensions.effect.WaterConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.ColorConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.BlackConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.filter.motionBlur"
            name="MotionBlur"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.MotionBlurConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.image.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.ColorConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.image.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.BlackConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.ColorConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlackConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.filter.blur"
            name="Blur"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlurConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.filter.edge"
            name="Edge"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.EdgeConfigXMLExporterRuntime"/>
      <extensionConfigXMLExporter
            id="twister.frame.layer.filter.sharpen"
            name="Sharpen"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.SharpenConfigXMLExporterRuntime"/>
      <nodeBuilder
            id="twister.effect.spot"
            name="Spot"
            runtimeClass="net.sf.jame.twister.extensions.effect.SpotConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.effect.fire"
            name="Fire"
            runtimeClass="net.sf.jame.twister.extensions.effect.FireConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.effect.water"
            name="Water"
            runtimeClass="net.sf.jame.twister.extensions.effect.WaterConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.ColorConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.BlackConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.filter.motionBlur"
            name="MotionBlur"
            runtimeClass="net.sf.jame.twister.extensions.frame.filter.MotionBlurConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.image.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.ColorConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.image.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.image.BlackConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.filter.color"
            name="Color"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.ColorConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.filter.black"
            name="Black"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlackConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.filter.blur"
            name="Blur"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.BlurConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.filter.edge"
            name="Edge"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.EdgeConfigNodeBuilderRuntime"/>
      <nodeBuilder
            id="twister.frame.layer.filter.sharpen"
            name="Sharpen"
            runtimeClass="net.sf.jame.twister.extensions.frame.layer.filter.SharpenConfigNodeBuilderRuntime"/>
      <actionXMLImporter
            id="node.class.RectangleElement"
            name="RectangleElement"
            runtimeClass="net.sf.jame.twister.extensions.action.RectangleNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ViewElement"
            name="ViewElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ViewNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.SpeedElement"
            name="SpeedElement"
            runtimeClass="net.sf.jame.twister.extensions.action.SpeedNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ColorElement"
            name="ColorElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ColorNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.StringElement"
            name="StringElement"
            runtimeClass="net.sf.jame.twister.extensions.action.StringNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.BooleanElement"
            name="BooleanElement"
            runtimeClass="net.sf.jame.twister.extensions.action.BooleanNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.PercentElement"
            name="PercentElement"
            runtimeClass="net.sf.jame.twister.extensions.action.PercentNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ComplexElement"
            name="ComplexElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ComplexNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.PaletteElement"
            name="RenderedPaletteElement"
            runtimeClass="net.sf.jame.twister.extensions.action.PaletteNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.FrameFilterElementList"
            name="FrameFilterElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameFilterListNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.LayerFilterElementList"
            name="LayerFilterElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.LayerFilterListNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ImageLayerElementList"
            name="ImageLayerElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageLayerListNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.GroupLayerElementList"
            name="GroupLayerElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.GroupLayerListNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.FrameFilterElement"
            name="FrameFilterElement"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameFilterNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.LayerFilterElement"
            name="LayerFilterElement"
            runtimeClass="net.sf.jame.twister.extensions.action.LayerFilterNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.FrameFilterReference"
            name="FrameFilterReference"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameFilterReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.LayerFilterReference"
            name="LayerFilterReference"
            runtimeClass="net.sf.jame.twister.extensions.action.LayerFilterReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ImageLayerElement"
            name="ImageLayerElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageLayerNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.GroupLayerElement"
            name="GroupLayerElement"
            runtimeClass="net.sf.jame.twister.extensions.action.GroupLayerNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ImageElement"
            name="Image"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.ImageReference"
            name="ImageReference"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.FrameElement"
            name="FrameElement"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.EffectElement"
            name="EffectElement"
            runtimeClass="net.sf.jame.twister.extensions.action.EffectNodeActionXMLImporterRuntime"/>
      <actionXMLImporter
            id="node.class.EffectReference"
            name="EffectReference"
            runtimeClass="net.sf.jame.twister.extensions.action.EffectReferenceNodeActionXMLImporterRuntime"/>
      <actionXMLExporter
            id="node.class.RectangleElement"
            name="RectangleElement"
            runtimeClass="net.sf.jame.twister.extensions.action.RectangleNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ViewElement"
            name="ViewElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ViewNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.SpeedElement"
            name="SpeedElement"
            runtimeClass="net.sf.jame.twister.extensions.action.SpeedNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ColorElement"
            name="ColorElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ColorNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.StringElement"
            name="StringElement"
            runtimeClass="net.sf.jame.twister.extensions.action.StringNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.BooleanElement"
            name="BooleanElement"
            runtimeClass="net.sf.jame.twister.extensions.action.BooleanNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.PercentElement"
            name="PercentElement"
            runtimeClass="net.sf.jame.twister.extensions.action.PercentNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ComplexElement"
            name="ComplexElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ComplexNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.PaletteElement"
            name="RenderedPaletteElement"
            runtimeClass="net.sf.jame.twister.extensions.action.PaletteNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.FrameFilterElementList"
            name="FrameFilterElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameFilterListNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.LayerFilterElementList"
            name="LayerFilterElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.LayerFilterListNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ImageLayerElementList"
            name="ImageLayerElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageLayerListNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.GroupLayerElementList"
            name="GroupLayerElementList"
            runtimeClass="net.sf.jame.twister.extensions.action.GroupLayerListNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.FrameFilterElement"
            name="FrameFilterElement"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameFilterNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.LayerFilterElement"
            name="LayerFilterElement"
            runtimeClass="net.sf.jame.twister.extensions.action.LayerFilterNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.FrameFilterReference"
            name="FrameFilterReference"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameFilterReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.LayerFilterReference"
            name="LayerFilterReference"
            runtimeClass="net.sf.jame.twister.extensions.action.LayerFilterReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ImageLayerElement"
            name="ImageLayerElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageLayerNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.GroupLayerElement"
            name="GroupLayerElement"
            runtimeClass="net.sf.jame.twister.extensions.action.GroupLayerNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ImageElement"
            name="ImageElement"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.ImageReference"
            name="ImageReference"
            runtimeClass="net.sf.jame.twister.extensions.action.ImageReferenceNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.FrameElement"
            name="FrameElement"
            runtimeClass="net.sf.jame.twister.extensions.action.FrameNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.EffectElement"
            name="EffectElement"
            runtimeClass="net.sf.jame.twister.extensions.action.EffectNodeActionXMLExporterRuntime"/>
      <actionXMLExporter
            id="node.class.EffectReference"
            name="EffectReference"
            runtimeClass="net.sf.jame.twister.extensions.action.EffectReferenceNodeActionXMLExporterRuntime"/>
   </extension>

</plugin>
